|  | Home

# QtBoolPropertyManager Class Reference

The QtBoolPropertyManager class provides and manages boolean properties. More...

     #include <QtBoolPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

## Public Functions

| QtBoolPropertyManager ( QObject * parent = 0 )
| ~QtBoolPropertyManager ()
bool | value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

## Public Slots

void | setValue ( QtProperty * property, bool value )

- 1 public slot inherited from QObject

## Signals

void | valueChanged ( QtProperty * property, bool value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

## Reimplemented Protected Functions

virtual void | initializeProperty ( QtProperty * property )
virtual void | uninitializeProperty ( QtProperty * property )
virtual QIcon | valueIcon ( const QtProperty * property ) const
virtual QString | valueText ( const QtProperty * property ) const

- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtBoolPropertyManager class provides and manages boolean properties.

The property's value can be retrieved using the value() function, and set using the setValue() slot.

In addition, QtBoolPropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager and QtCheckBoxFactory.

## Member Function Documentation

### QtBoolPropertyManager::QtBoolPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtBoolPropertyManager::~QtBoolPropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtBoolPropertyManager::initializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::initializeProperty().

### void QtBoolPropertyManager::setValue ( QtProperty * property, bool value ) `[slot]`

Sets the value of the given property to value.

See also value().

### void QtBoolPropertyManager::uninitializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::uninitializeProperty().

### bool QtBoolPropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns false.

See also setValue().

### void QtBoolPropertyManager::valueChanged ( QtProperty * property, bool value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

### QIcon QtBoolPropertyManager::valueIcon ( const QtProperty * property ) const `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::valueIcon().

### QString QtBoolPropertyManager::valueText ( const QtProperty * property ) const `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::valueText().